/* globals.h -- Global data for Targ-Hurt ESP Trainer. 

   History: rhs 14-mar-87 ... original
*/
#include "mancon.h"
#include "declares.h"

char gc_espmode=NULL;            /* In clairvoyance or precognition mode? */
int gi_tries=0;                  /* How many times has user answered? */
int gi_hits=0;                   /* How many answers were correct? */
int gia_cursorkeys[]= { UP, DOWN, RIGHT, LEFT }; /* Maps arrow keys to a 
                                 number between 0 and 3. */
int gi_wasahit=FALSE;            /* Was last answer correct or not? */


/* Encouragement messages (encouragement levels) */
struct encouragement gsa_enc[] =
              { { 0, 0.0,  "" },
                { 6, 0.24, "Traces of ESP!" },
                { 8, 0.32, "ESP ability present!!" },
                { 10,0.40, "Useful at Las Vegas!!!" },
                { 12,0.48, "Outstanding ESP ability!!!!" },
                { 14,0.56, "Psychic! Medium! Oracle!!!!!" }
              };

int gi_encourage=0;              /* What is current encouragement level? */

int gi_direction=0;               /* What was the machine's last selection */


/* Terminal's foreground and background colors: */
int gi_fg1=0, gi_fg2=0, gi_bg1=0, gi_bg2=0;

/* CRT video mode */
int gi_vidmode=0;

/* Does the user want sound? */
int gi_sound=ON;
