/* mancon.h -- Manifest constants for Targ-Hurt ESP Trainer 
   
   History: rhs 14-mar-87 ... Original
*/

/* Commands given by the user in the form of keypresses: */
#define NORTH  0
#define SOUTH  1
#define EAST   2
#define WEST   3
#define START  4
#define QUIT   5
#define PASS   6
#define RESET  7
#define CHANGE 8
#define HELP   9

/* Extended ASCII codes of arrow keys: */
#define UP    72
#define DOWN  80
#define LEFT  75
#define RIGHT 77

/* Keyword for accessing global data: */
#define IMPORT extern
#define GLOBAL 
#define SEMIGLOBAL static

/* Type for flags holding only TRUE or FALSE: */
#define BOOL int

#define TRUE  1
#define FALSE 0

#ifndef NULL
#define NULL 0
#endif

/* How many encouragement messages are there? */
#define ENCMSGS 6


#define ON  1 
#define OFF 2
